export class ResolvedDevice1701703570275 {
    name = 'ResolvedDevice1701703570275';
    async up(queryRunner) {
        await queryRunner.query(`ALTER TABLE \`Device\` ADD \`resolvedDevice\` varchar(255) NULL`);
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingStart\` \`bookingStart\` varchar(255) NULL`);
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingEnd\` \`bookingEnd\` varchar(255) NULL`);
        await queryRunner.query(`ALTER TABLE \`ServiceConfiguration\` CHANGE \`configuration\` \`configuration\` text NULL`);
    }
    async down(queryRunner) {
        await queryRunner.query(`ALTER TABLE \`ServiceConfiguration\` CHANGE \`configuration\` \`configuration\` text NOT NULL`);
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingEnd\` \`bookingEnd\` varchar(255) NOT NULL`);
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingStart\` \`bookingStart\` varchar(255) NOT NULL`);
        await queryRunner.query(`ALTER TABLE \`Device\` DROP COLUMN \`resolvedDevice\``);
    }
}
//# sourceMappingURL=1701703570275-ResolvedDevice.js.map